package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag750;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT750Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag20Creator extends AbsTagCreate {

     private MT750Creator mt750Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt750Creator= (MT750Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt750Creator.getSendersReference();
        mt750Creator.set("20", tag20Value);
    }
}

